Subject: Venison Stew
From: ravinwulf <[email-masked]>
Date: Thu, 30 Dec 1999 13:58:29 -0800
Newsgroups: rec.food.recipes

Subject: Venison Stew

I made a big pot of this a couple of weeks ago after my mother graced me
with a freezer full of venison....  It was really good; but I think next
time I'll add potatoes to soak up some of the gravy...

Venison Stew

3 lbs. venison, cut into 1 inch cubes
flour (for dredging)
3 Tbsp. oil (I used bacon grease instead because I think it adds flavor....)
2 cups dry red wine
1/4 cup vinegar or lemon juice
6 peppercorns, crushed
1 teas. salt
2 bay leaves
2 whole cloves
1 to 3 cloves garlic, crushed
1/2 teas. thyme
1/4 teas. tarragon
1 cup beef broth
2 carrots, sliced
2 large onions, sliced
2 Tbsp. flour

Dredge venison in flour.  Fry in oil or grease until lightly browned.
Combine wine, vinegar, peppercorns, salt, bay leaves, garlic, thyme,
tarragon, and broth; use a bit of this mixture to deglaze the pan you
browned the meat in, then add to venison in a stew pot.  Add carrots and
onions.  Bring to a boil.  Reduce heat and simmer for 1 1/2 to 2 1/2
hours, or until meat is fork tender.  Serves 6.

--
~~Rec.food.recipes is moderated; only recipes and recipe requests are 
accepted for posting.  Please read the FAQ posted weekly Recipes/requests
go to [email-masked]; questions/comments to [email-masked].
Please allow several days for your submission to appear.